%define pygtk2_version 2.5.3
%define gnome_python2_version 2.6.0

Name:    sabayon
Version: 2.20.1
Release: %mkrel 1
Summary: Tool to maintain user profiles in a GNOME desktop

Group:   System/Configuration/Other
License: GPL
URL:     http://www.gnome.org/projects/sabayon
Source0: http://ftp.gnome.org/pub/GNOME/sources/sabayon/sabayon-%{version}.tar.bz2
Patch: sabayon-2.12.3-pam.patch
# (fc) 2.12.1-3mdk source xinit file
Patch1:  sabayon-2.12.1-source.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

Requires: python-gamin
Requires: python-libxml2
Requires: python-ldap
Requires: GConf2 > 2.14.0-1mdk

BuildRequires: pygtk2.0-devel
BuildRequires: gtk+2-devel
BuildRequires: gettext
BuildRequires: desktop-file-utils
BuildRequires: usermode
BuildRequires: x11-server-xnest
BuildRequires: perl-XML-Parser

%description
Sabayon is a tool to help sysadmins and user change and maintain the
default behaviour of the GNOME desktop.

%package  admin
Summary:  Graphical tools for Sabayon profile management
Group:    System/Configuration/Other
Requires: %{name} = %{version}
Requires(pre):  rpm-helper
Requires(pre): usermode-consoleonly
Requires(post): gtk+2.0
Requires(postun): gtk+2.0
Requires: x11-server-xnest
Requires: pygtk2.0 >= %{pygtk2_version}
Requires: gnome-python-gconf >= %{gnome_python2_version}

%description admin
The sabayon-admin package contains the graphical tools which a
sysadmin should use to manage Sabayon profiles.

%prep
%setup -q
%patch -p1
%patch1 -p1 -b .source
#touch *
bzip2 -9 ChangeLog
 
%build
%configure2_5x 	\
	--enable-consolehelper=yes		\
	 --with-prototype-user=%{name}-admin
%make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall PAM_PREFIX=$RPM_BUILD_ROOT%{_sysconfdir}

desktop-file-install --vendor="" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
  --remove-category SystemSetup \
  --remove-category Application \
  --add-category "Settings;DesktopSettings" \
  --add-category X-MandrivaLinux-System-Configuration-GNOME \
  $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop

%find_lang sabayon

mkdir -p %buildroot/%_menudir
cat > %buildroot/%_menudir/%name-admin << EOF
?package(%name-admin): \
command="%_bindir/sabayon" \
needs="gnome" \
icon="sabayon.png" \
section="System/Configuration/GNOME" \
title="User Profile Editor" \
longtitle="Establish and Edit Profiles for Users" \
startup_notify="true" xdg="true"
EOF

# We don't want these
rm -f %buildroot%py_platsitedir/%{name}/xlib.*a \
      %buildroot%_datadir/icons/hicolor/icon-theme.cache

%clean
rm -rf $RPM_BUILD_ROOT

%pre admin
%_pre_useradd %name-admin /var/lib/ /sbin/nologin
/usr/sbin/usermod -d "" %{name}-admin &>/dev/null || :

%post admin
%update_menus
%update_icon_cache hicolor

%postun admin
%clean_menus
%clean_icon_cache hicolor

%files -f sabayon.lang
%defattr(-, root, root, 755)

%doc AUTHORS ChangeLog.bz2 NEWS README TODO ISSUES

%config(noreplace) %{_sysconfdir}/X11/xinit.d/%{name}*

%{_sysconfdir}/desktop-profiles

%{_sbindir}/%{name}-apply

%dir %py_platsitedir/%{name}/
%py_platsitedir/%{name}/__init__.py*
%py_platsitedir/%{name}/config.py*
%py_platsitedir/%{name}/cache.py*
%py_platsitedir/%{name}/dirmonitor.py*
%py_platsitedir/%{name}/mozilla_bookmarks.py*
%py_platsitedir/%{name}/storage.py*
%py_platsitedir/%{name}/userdb.py*
%py_platsitedir/%{name}/userprofile.py*
%py_platsitedir/%{name}/util.py*
%py_platsitedir/%{name}/sources/*.py*

%files admin
%doc doc/index.html doc/testing.html doc/helping.html doc/developing.html
%doc doc/sabayon.css doc/*.jpg doc/*.gif

%config(noreplace) %{_sysconfdir}/pam.d/%{name}
%config(noreplace) %{_sysconfdir}/security/console.apps/%{name}

%{_bindir}/%{name}
%{_sbindir}/%{name}
%{_libexecdir}/%{name}*

%{_datadir}/%{name}/glade/%{name}.glade
%{_datadir}/%{name}/glade/pessulus.glade
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.*

%dir %py_platsitedir/%{name}
%py_platsitedir/%{name}/*.so
%py_platsitedir/%{name}/*
%_menudir/%name-admin




%changelog
* Thu Sep 20 2007 Götz Waschk <waschk@mandriva.org> 2.20.1-1mdv2008.0
+ Revision: 91360
- new version

* Tue Aug 14 2007 Götz Waschk <waschk@mandriva.org> 2.19.2-1mdv2008.0
+ Revision: 63420
- new version
- update file list

* Fri Jul 13 2007 Götz Waschk <waschk@mandriva.org> 2.19.1-1mdv2008.0
+ Revision: 51800
- new version
- update deps


* Wed Mar 21 2007 Götz Waschk <waschk@mandriva.org> 2.18.1-1mdv2007.1
+ Revision: 147488
- new version

* Mon Mar 12 2007 Götz Waschk <waschk@mandriva.org> 2.18.0-1mdv2007.1
+ Revision: 142118
- new version

* Mon Jan 22 2007 Götz Waschk <waschk@mandriva.org> 2.17.90-1mdv2007.1
+ Revision: 112101
- fix file list on x86_64
- new version
- unpack patches

* Wed Dec 13 2006 Nicolas Lécureuil <neoclust@mandriva.org> 2.12.4-3mdv2007.1
+ Revision: 96554
- Rebuild against new python
- Import sabayon

* Fri Aug 18 2006 Gtz Waschk <waschk@mandriva.org> 2.12.4-2mdv2007.0
- remove local.defaults/mandatory files, now in GConf2

* Sat Jul 29 2006 Götz Waschk <waschk@mandriva.org> 2.12.4-1mdv2007.0
- New release 2.12.4

* Thu Jul 06 2006 Gtz Waschk <waschk@mandriva.org> 2.12.3-4mdv2007.0
- fix pam configuration
- fix menu

* Thu Feb 02 2006 Gtz Waschk <waschk@mandriva.org> 2.12.3-3mdk
- fix python dirs

* Wed Feb 01 2006 Gtz Waschk <waschk@mandriva.org> 2.12.3-2mdk
- fix buildrequires

* Tue Jan 31 2006 Götz Waschk <waschk@mandriva.org> 2.12.3-1mdk
- New release 2.12.3
- use mkrel

* Mon Dec 05 2005 Frederic Crozat <fcrozat@mandriva.com> 2.12.2-2mdk
- Add requires on python-ldap

* Thu Nov 17 2005 Gtz Waschk <waschk@mandriva.org> 2.12.2-1mdk
- drop merged patch 0
- New release 2.12.2

* Wed Nov 16 2005 Frederic Crozat <fcrozat@mandriva.com> 2.12.1-3mdk
- Patch1: source xinit file

* Tue Nov 08 2005 Frederic Crozat <fcrozat@mandriva.com> 2.12.1-2mdk
- Patch0: fix mandriva distribution detection
- Force icon cache generation 
- Fix menu entry

* Mon Nov 07 2005 Gtz Waschk <waschk@mandriva.org> 2.12.1-1mdk
- update file list
- New release 2.12.1

* Thu Oct 13 2005 Götz Waschk <waschk@mandriva.org> 2.12.0-1mdk
- New release 2.12.0

* Wed Aug 03 2005 Gtz Waschk <waschk@mandriva.org> 2.11.90-1mdk
- no noarch
- build and installation fixes
- New release 2.11.90

* Sat May 21 2005 Gtz Waschk <waschk@mandriva.org> 0.18-2mdk
- add menu entry

* Sat May 21 2005 Gtz Waschk <waschk@mandriva.org> 0.18-1mdk
- initial mdk package

* Thu May 19 2005 Mark McLoughlin <markmc@redhat.com> - 0.18-1
- Update to 0.18

* Thu Mar 24 2005 Mark McLoughlin <markmc@redhat.com> - 0.17-1
- Update to 0.17
- Pass --with-prototype-user=sabayon-admin to configure

* Mon Mar 21 2005 Mark McLoughlin <markmc@redhat.com> - 0.16-8
- Add BuildRequires: usermode and pass --enable-consolehelper=yes
  to configure

* Mon Mar 21 2005 Mark McLoughlin <markmc@redhat.com> - 0.16-7
- Move Xnest and shadow-utils requires to sabayon-admin
- Require libxml2-python

* Mon Mar 21 2005 Mark McLoughlin <markmc@redhat.com> - 0.16-6
- Make noarch

* Mon Mar 21 2005 Mark McLoughlin <markmc@redhat.com> - 0.16-5
- Add dirmonitor.py to base package

* Sun Mar 20 2005 Mark McLoughlin <markmc@redhat.com> - 0.16-4
- Split the package into sabayon and sabayon-admin
- BuildRequires: gettext instead of gettext-devel

* Sat Mar 19 2005 Mark McLoughlin <markmc@redhat.com> - 0.16-3
- Remove period at the end of the summary
- Specify full URL for source
- BuildRequires: python 
- Use /etc everywhere
- Set the directory mode

* Fri Mar 18 2005 Mark McLoughlin <markmc@redhat.com> - 0.16-2
- BuildRequires: gettext-devel
- Add X-Fedora-Extra to .desktop file

* Wed Mar 16 2005 Mark McLoughlin <markmc@redhat.com>
- Various changes to bring in line with Fedora package guidelines

* Wed Feb 09 2005 Daniel Veillard <veillard@redhat.com>
- initial version

